Index: contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/arm/rtems-4.10-arm-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-arm-rtems4.10-binutils
 Requires:	rtems-4.10-arm-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-arm-rtems4.10-binutils
-# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-arm-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/avr/rtems-4.10-avr-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-avr-rtems4.10-binutils
 Requires:	rtems-4.10-avr-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -348,5 +348,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -391,4 +391,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -617,5 +618,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-avr-rtems4.10-binutils
-# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -635,5 +636,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-avr-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -748,5 +749,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -769,5 +770,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/bfin/rtems-4.10-bfin-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-bfin-rtems4.10-binutils
 Requires:	rtems-4.10-bfin-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-bfin-rtems4.10-binutils
-# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-bfin-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/h8300/rtems-4.10-h8300-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-h8300-rtems4.10-binutils
 Requires:	rtems-4.10-h8300-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-h8300-rtems4.10-binutils
-# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-h8300-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/i386/rtems-4.10-i386-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-i386-rtems4.10-binutils
 Requires:	rtems-4.10-i386-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-i386-rtems4.10-binutils
-# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-i386-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/lm32/rtems-4.10-lm32-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-lm32-rtems4.10-binutils
 Requires:	rtems-4.10-lm32-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-lm32-rtems4.10-binutils
-# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-lm32-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/m32c/rtems-4.10-m32c-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-m32c-rtems4.10-binutils
 Requires:	rtems-4.10-m32c-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -348,5 +348,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -391,4 +391,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -617,5 +618,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32c-rtems4.10-binutils
-# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -635,5 +636,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-m32c-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -749,5 +750,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -770,5 +771,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/m32r/rtems-4.10-m32r-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-m32r-rtems4.10-binutils
 Requires:	rtems-4.10-m32r-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -348,5 +348,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -391,4 +391,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -617,5 +618,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m32r-rtems4.10-binutils
-# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -635,5 +636,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-m32r-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -749,5 +750,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -770,5 +771,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/m68k/rtems-4.10-m68k-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-m68k-rtems4.10-binutils
 Requires:	rtems-4.10-m68k-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-m68k-rtems4.10-binutils
-# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-m68k-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/mips/rtems-4.10-mips-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-mips-rtems4.10-binutils
 Requires:	rtems-4.10-mips-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-mips-rtems4.10-binutils
-# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-mips-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/powerpc/rtems-4.10-powerpc-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-powerpc-rtems4.10-binutils
 Requires:	rtems-4.10-powerpc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-powerpc-rtems4.10-binutils
-# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-powerpc-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/sh/rtems-4.10-sh-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-sh-rtems4.10-binutils
 Requires:	rtems-4.10-sh-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sh-rtems4.10-binutils
-# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-sh-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
Index: contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec
===================================================================
--- contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 3297613391a09d86182b2064e2b186d6c8020044)
+++ contrib/crossrpms/rtems4.10/sparc/rtems-4.10-sparc-rtems4.10-gcc.spec	(revision 82a1e87a9786eae17818190dc88eadd72af5fd12)
@@ -47,7 +47,7 @@
 
 
-%define gcc_pkgvers 4.4.5
-%define gcc_version 4.4.5
-%define gcc_rpmvers %{expand:%(echo "4.4.5" | tr - _ )}
+%define gcc_pkgvers 4.4.6
+%define gcc_version 4.4.6
+%define gcc_rpmvers %{expand:%(echo "4.4.6" | tr - _ )}
 
 %define newlib_pkgvers		1.18.0
@@ -59,5 +59,5 @@
 Group:	      	Development/Tools
 Version:        %{gcc_rpmvers}
-Release:      	8%{?dist}
+Release:      	1%{?dist}
 License:      	GPL
 URL:		http://gcc.gnu.org
@@ -246,5 +246,5 @@
 Requires:	rtems-4.10-sparc-rtems4.10-binutils
 Requires:	rtems-4.10-sparc-rtems4.10-gcc-libgcc = %{gcc_rpmvers}-%{release}
-Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:	rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 
 %if "%{gcc_version}" >= "4.5.0"
@@ -264,5 +264,5 @@
 %if "%{gcc_version}" == "4.4.6"
 Source0:	ftp://ftp.gnu.org/gnu/gcc/gcc-%{gcc_pkgvers}/gcc-core-%{gcc_pkgvers}.tar.bz2
-Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110418.diff
+Patch0:		ftp://ftp.rtems.org/pub/rtems/SOURCES/4.10/gcc-core-4.4.6-rtems4.10-20110420.diff
 %endif
 %{?_without_sources:NoSource:	0}
@@ -360,5 +360,5 @@
 %endif
 
-echo "RTEMS gcc-%{gcc_version}-8%{?dist}/newlib-%{newlib_version}-23%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
+echo "RTEMS gcc-%{gcc_version}-1%{?dist}/newlib-%{newlib_version}-24%{?dist}" > gcc-%{gcc_pkgvers}/gcc/DEV-PHASE
 
 
@@ -404,4 +404,5 @@
     %{?with_lto:--enable-lto}%{!?with_lto:--disable-lto} \
     %{?with_plugin:--enable-plugin}%{!?with_plugin:--disable-plugin} \
+    --with-ppl-libs=/usr/%{_lib} \
     --enable-newlib-io-c99-formats \
     --enable-languages="$languages" $optargs
@@ -630,5 +631,5 @@
 # Version:        %{gcc_rpmvers}
 # Requires:       rtems-4.10-sparc-rtems4.10-binutils
-# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+# Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 # License:	GPL
 
@@ -648,5 +649,5 @@
 Version:        %{gcc_rpmvers}
 %{?_with_noarch_subpackages:BuildArch: noarch}
-Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-23%{?dist}
+Requires:       rtems-4.10-sparc-rtems4.10-newlib = %{newlib_version}-24%{?dist}
 License:	GPL
 
@@ -822,5 +823,5 @@
 License:	Distributable
 Version:	%{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 
@@ -843,5 +844,5 @@
 Group:          Development/Tools
 Version:        %{newlib_version}
-Release:        23%{?dist}
+Release:        24%{?dist}
 %{?_with_noarch_subpackages:BuildArch: noarch}
 License:	Distributable
